
%define plugin	osdpip
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define rel	5

Summary:	VDR plugin: OSD Picture-in-Picture
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/show/plg-osdpip
Source:		http://projects.vdr-developer.org/attachments/download/267/vdr-%plugin-%version.tgz
Patch1:		osdpip-0.1.2-ffmpeg.patch
BuildRequires:	vdr-devel >= 1.6.0-7
BuildRequires:	ffmpeg-devel
Requires:	vdr-abi = %vdr_abi

%description
OSD Picture-in-Picture is a PlugIn that displays the current channel in a
small box on the screen (default upper right corner). You can switch up and
down now, watching the progress of the previous channel in the box.

%prep
%setup -q -n %plugin-%version
%patch1 -p1 -b .ffmpeg
%vdr_plugin_prep

%build
VDR_PLUGIN_EXTRA_FLAGS="-D__STDC_CONSTANT_MACROS"
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README COPYING HISTORY TODO


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-5.mga3
+ Revision: 385289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 cjw <cjw> 0.1.1-4.mga3
+ Revision: 362678
- patch1: fix build with current ffmpeg

  + malo <malo>
    - spec clean-up
    - update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-2.mga2
+ Revision: 221048
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-1.mga2
+ Revision: 214826
- new version 0.1.1
- drop recent-ffmpeg.patch, fixed upstream

* Sat Jun 25 2011 fwang <fwang> 0.1.0-3.mga2
+ Revision: 113521
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Sat May 14 2011 anssi <anssi> 0.1.0-2.mga1
+ Revision: 98455
- fix license tag
- drop old scriplets
- imported package vdr-plugin-osdpip

